Subject: Re: bug#9982: M-x load-theme does not change background color

From: Jan Djärv <[email-masked]>
Date: Wed, 9 Nov 2011 09:18:51 +0100

Hello.

I see this under XFCE and Arch Linux.  But not if I run Gnome on the same machine.
My guess is that some xfce-theme is buggy, much like the kde-gtk theme bridge is buggy.
XFCE seems to be quite buggy overall, it doesn't play sounds and can't get the keyboard layout right.

I'll see if we can work around this theme bug.  However, it is a pain to edit with the wrong keyboard layout :-).

	Jan D.

8 nov 2011 kl. 06:51 skrev Brendan Miller:

> I think I've narrowed down the bug somewhat. There is something wrong
> with the (set-background-color "color-here") function. This is a
> regression from emacs 23.3 where that function works fine on the same
> machine.
> 
> I tried (set-background-color "black") and this function seems very
> erratic. It will succeed part way (not for all lines on buffer), but
> then fail to set the color back to white on the next call. Assuming
> that load-theme uses this function, I think this is probably where the
> bug is.
> 
> I tried launching emacs with emacs --background-color=black, and that
> succeeds in making the background color black.
> 
> This is run under emacs -Q. I tried doing a git pull and recompiling
> everything just to be sure it's not already fixed.
> 
> I'm running under Arch Linux on XFCE. I followed the output of the
> ./configure script, and it seems I am building against GTK2 libraries.
> 
> I'll experiment a bit and see if I can narrow down the problem further.
> 
> I'm adding the diagnostic information from report-emacs-bug below. I
> was having trouble sending via report-emacs-bug method directly, as it
> didn't seem to like my smtp server.
> 
> In GNU Emacs 24.0.91.1 (i686-pc-linux-gnu, GTK+ Version 2.24.7)
> of 2011-11-07 on arch
> Windowing system distributor `The X.Org Foundation', version 11.0.11101902
> Important settings:
>  value of $LC_ALL: nil
>  value of $LC_COLLATE: nil
>  value of $LC_CTYPE: nil
>  value of $LC_MESSAGES: nil
>  value of $LC_MONETARY: nil
>  value of $LC_NUMERIC: nil
>  value of $LC_TIME: nil
>  value of $LANG: en_US.UTF-8
>  value of $XMODIFIERS: nil
>  locale-coding-system: utf-8-unix
>  default enable-multibyte-characters: t
> 
> Major mode: Lisp Interaction
> 
> Minor modes in effect:
>  tooltip-mode: t
>  mouse-wheel-mode: t
>  tool-bar-mode: t
>  menu-bar-mode: t
>  file-name-shadow-mode: t
>  global-font-lock-mode: t
>  font-lock-mode: t
>  blink-cursor-mode: t
>  auto-composition-mode: t
>  auto-encryption-mode: t
>  auto-compression-mode: t
>  line-number-mode: t
>  transient-mark-mode: t
> 
> Recent input:
> M-x l o a d - t h e <tab> <return> m a n o <tab> <return>
> M-x r e p o r t - b u g <tab> <return>
> 
> Recent messages:
> For information about GNU Emacs and the GNU system, type C-h C-a.
> 
> Load-path shadows:
> None found.
> 
> Features:
> (shadow sort gnus-util mail-extr message format-spec rfc822 mml easymenu
> mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045
> ietf-drums mm-util mail-prsvr mailabbrev mail-utils gmm-utils mailheader
> emacsbug manoj-dark-theme time-date tooltip ediff-hook vc-hooks
> lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image fringe
> lisp-mode register page menu-bar rfn-eshadow timer select scroll-bar
> mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
> utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
> japanese hebrew greek romanian slovak czech european ethiopic indian
> cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
> minibuffer loaddefs button faces cus-face files text-properties overlay
> sha1 md5 base64 format env code-pages mule custom widget
> hashtable-print-readable backquote make-network-process dbusbind
> dynamic-setting system-font-setting font-render-setting move-toolbar gtk
> x-toolkit x multi-tty emacs)
> 
>